/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */
package helloworld;

import org.osoa.sca.annotations.Callback;
import org.osoa.sca.annotations.Remotable;
import org.osoa.sca.annotations.OneWay;

/**
 * This is the business (service) interface of the AsynchTranslator service.
 */
@Remotable
@Callback(HelloWorldCallback.class)
public interface AsynchTranslatorService {

    /** 
     * 
     * This method takes a String name from the client and calls the clients
     * callback method.  The @OneWay annotation indicates that the 
     * forward call is non-blocking.
     *  
     * @param String name
     */	

    @OneWay
    public void getGreetings(String name);

    
}
